QGIS Application - Bug report #6604
scale dependent visibility not included in style
2012-11-02 01:23 AM - leolami -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Linux (Ubuntu) and Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 15793
Description

When | set a scale dependent visibility for a layer (vector or raster) and | save the style this properties is not included in the style.

So | cannot reply this properties using the stile. The same with the copy and past style function.

Best regards
Leonardo Lami

History

#1 - 2013-01-31 07:13 AM - Bjoern Hoefling

This also applies to scale-dependent labeling. Workaround:

If you manually edit the style and add for example:

<qgis version="1.8.0-Lisboa" minimumScale="0" maximumScale="1e+08" minLabelScale="0" maxLabelScale="200000"
scaleBasedLabelVisibilityFlag="1">

then the scale-dependent labeling is loaded and works fine.

But if you save it again, minLabelScale, maxLabelScale and scaleBasedLabelVisibility are removed from the style file.

#2 - 2015-11-13 07:52 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

Hello, bug triage...

on QGIS 2.13, scale dependent visibility is now correctly saved into the .qml file. It is also correctly applied when loaded on a layer.

For labels, there is issue #13667. As the bug was initially talking about scale dependent visibility, | am closing it...
